/*--====================================================================--*/
/*--                                 CSS                                --*/
/*--====================================================================--*/
/*--------------- Fonts --*/
/*--------------- Root --*/
/*--------------- General --*/
/*--------------- Logo --*/
/*--------------- Form & Form Content --*/
/*--------------- Avatar Uploader --*/
/*--------------- Submit Button --*/
/*--------------- Submitted --*/
/*--------------- Custom PDF Link Open Lockdown --*/
/*--====================================================================--*/



/*--------------- Fonts --*/





/*--------------- Root --*/
:root {
    --global-padding: 30px;
    --form-padding: 30px;
    --form-field-spacing: 1rem;
    --form-max-width: 900px;
}

@media (max-width: 768px) {
    :root {
        --global-padding: 15px;
        --form-padding: 15px;
    }
}





/*--------------- General --*/
.registration-form {
    padding: 0;
}

.regForm .plugin__content {
    padding: var(--global-padding) var(--global-padding) calc(var(--global-padding) + 50px) var(--global-padding);
}

.registration-form .form-description:empty,
.baseEvent .regForm .active-tab-header:empty {
    display: none !important;
}

.registration-form .form-description {
    width: 100%;
    padding: 0;
    margin-bottom: var(--global-padding);
}

.baseEvent .regForm .active-tab-header {
    padding: 0;
    width: 100%;
    margin-bottom: var(--global-padding);
}





/*--------------- Logo --*/
.regForm #domain_logo {
    padding: var(--global-padding) var(--global-padding) 0 var(--global-padding);
    min-height: unset;
    opacity: 1 !important;
}

img.regForm__logo {
    width: 100% !important;
    max-width: 250px;
    height: auto !important;
}





/*--------------- Form & Form Content --*/
#registrationForm {
    margin: 0 auto;
    width: 100%;
    max-width: var(--form-max-width);
}

#registrationForm #content {
    padding: 0;
}

#registrationForm .tab {
    margin: 0;
}

#registrationForm .form-content .tab > div {
    padding: var(--form-padding);
}

.htmlBlock,
.form__section-description {
    width: 100%;
    padding: 0;
    padding-left: 7.5px;
    padding-right: 7.5px;
    margin-bottom: var(--form-field-spacing);
}

.form__section-description:empty {
    display: none !important;
}

.form-group {
    margin-bottom: var(--form-field-spacing);
}

.form__label-input-wrapper.form-group.conditional {
    margin-bottom: 0;
}

hr {
    margin-top: var(--form-field-spacing);
    margin-bottom: var(--form-field-spacing);
}

.registration-form #registrationForm input[type="checkbox"] {
    cursor: pointer;
}

.photo_guidelines {
    display: flex;
    align-items: center;
    gap: 8.5px;
    flex-wrap: wrap;
}

.photo_guidelines label {
    order: 1;
    margin-bottom: 0;
    flex: 1;
}

/* Hidden Fields */
.form_field_hidden {
    margin: 0 !important;
    padding: 0 !important;
}




/*--------------- Avatar Uploader --*/
.avatarUploader {
    display: flex;
    gap: 15px;
    width: 100%;
}

.avatarUploader-Avatar {
    flex: 0 0 150px;
}

.avatarUploader label.form__label.user_avatar {
    display: none;
}

.avatarUploader .form-image-preview.hide-img-upload-preview:before {
    content: '';
    display: block;
    width: 100%;
    height: 0;
    border: 1px solid #000;
    border-radius: 5px;
    padding-bottom: 100%;
    background-image: url(https://storage.googleapis.com/eventfinity.appspot.com/./materials/14543/original/Silhouette.png);
    background-size: cover;
}

.avatarUploader .form-image-preview.hide-img-upload-preview {
    width: 100% !important;
    max-width: unset !important;
}

.avatarUploader-Info li {
    font-size: 14px;
}

.avatarUploader label.custom-file-upload {
    margin: 10px auto !important;
}

label.custom-file-upload {
    cursor: pointer;
}

.form-image-preview {
    max-width: unset !important;
}

.form-image-preview img {
    width: 100%;
    height: 136px !important;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 540px) {

    .avatarUploader {
        flex-wrap: wrap;
    }

    .avatarUploader-Avatar {
        flex: 1 0;
    }

    .avatarUploader-Avatar .form__asset-upload-container {
        max-width: 150px;
        margin: 0 auto;
    }
}





/*--------------- Submit Button --*/
.regForm #registrationForm .tab:first-child .form__buttons-container,
#registrationForm .form__buttons-container {
    justify-content: center;
    padding: var(--form-field-spacing) 0 0 0; 
}





/*--------------- Submitted --*/
.baseEvent .tab-content.tabContent.submit-success-content {
    padding: var(--global-padding);
}





/*--------------- Custom PDF Link Open Lockdown --*/
#registration-form-4598 #registrationForm input[type="checkbox"].disable {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}

#registration-form-4598 #registrationForm label.media_policies.disable {
    pointer-events: none;
    opacity: 1;
    cursor: not-allowed;
}

/* allow PDF link inside label */
#registration-form-4598 #registrationForm label.media_policies.disable a {
    pointer-events: auto;
    cursor: pointer;
}

#registration-form-4598 label.needs-review {
    position: relative;
    display: inline-block;
}

/* Photo-specific message */
#registration-form-4598 .photo_guidelines label.needs-review::after {
    content: "Please read the Photo Guidelines before continuing";
    display: block;
    font-size: 12px;
    color: #FF0000;
    margin-top: 4px;
}

/* Media-specific message */
#registration-form-4598 label.media_policies.needs-review::after {
    content: "Please read the Media Policies before continuing";
    display: block;
    font-size: 12px;
    color: #FF0000;
    margin-top: 4px;
}